(function () {
  if (!window.WTN.isIosApp) {
    var buttons = document.querySelectorAll('.wton-social-wrapper .btn-apple');
    var len = buttons !== null ? buttons.length : 0;
    for (var i = 0; i < len; i++) {
      buttons[i].remove();
    }
  }
  if (window.WTN.isNativeApp) {
    var buttons = document.getElementsByClassName('wton-social-wrapper');
    var len = buttons !== null ? buttons.length : 0;
    for (var i = 0; i < len; i++) {
      buttons[i].className += ' webtonative-app';
    }
  }
})();
function wtonSocialLogin(appName) {
  function handleAppLogin(bundleId) {
    window.WTN.socialLogin[appName].login({
      callback: function (data) {
        if (data.isSuccess) {
          let params = {};
          if (appName == 'apple') {
            params = {
              id_token: data.idToken,
              first_name: data.firstName,
              last_name: data.lastName,
              client_id: bundleId,
            };
          } else if (appName == 'google') {
            params = {
              id_token: data.idToken,
            };
          } else if (appName == 'facebook') {
            params = {
              access_token: data.accessToken,
            };
          }
          const url = new URL(wton_wp_site_url + '/wp-json/webtonative/social-login/verify/' + appName);
          const searchParams = new URLSearchParams(params);
          url.search = searchParams.toString();
          window.location.href = url.toString();
        }
      },
    });
  }

  if (!window.WTN.isNativeApp) {
    window.location.href = wton_wp_site_url + '/wp-json/webtonative/social-login/auth/' + appName;
    return;
  }
  window.WTN.deviceInfo().then(function (value) {
    if (value) {
      handleAppLogin(value.appId);
    }
  });
}
