<?php
if (!defined('ABSPATH')) exit;

function wtn_biometric_register_settings() {
    add_options_page(
        'Biometric Settings',
        'Biometric Authentication',
        'manage_options',
        'wtn-biometric-settings',
        'wtn_biometric_settings_page'
    );

    register_setting('wtn_biometric_group', 'wtn_biometric_prompt_on_logout');
    register_setting('wtn_biometric_group', 'wtn_biometric_prompt_on_resume');
    register_setting('wtn_biometric_group', 'wtn_biometric_prompt_on_open');
}
add_action('admin_menu', 'wtn_biometric_register_settings');

function wtn_biometric_settings_page() { ?>
    <div class="wrap">
        <h1>Biometric Authentication Settings</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('wtn_biometric_group');
            do_settings_sections('wtn_biometric_group');
            ?>
            <label>
                <input type="checkbox" name="wtn_biometric_prompt_on_logout" value="1" <?php checked(get_option('wtn_biometric_prompt_on_logout'), 1); ?> />
                Show biometric prompt on logout
            </label><br>
            <label>
                <input type="checkbox" name="wtn_biometric_prompt_on_resume" value="1" <?php checked(get_option('wtn_biometric_prompt_on_resume'), 1); ?> />
                Show biometric prompt on resume
            </label><br>
            <label>
                <input type="checkbox" name="wtn_biometric_prompt_on_open" value="1" <?php checked(get_option('wtn_biometric_prompt_on_open'), 1); ?> />
                Show biometric prompt on open
            </label><br>
            <?php submit_button(); ?>
        </form>
    </div>
<?php }
