<?php
if (!defined('ABSPATH')) exit;

function wtn_biometric_login_endpoint(WP_REST_Request $request)
{
    $secret = sanitize_text_field($request->get_param('secret'));
    $user = get_users(['meta_key' => 'wtn_biometric_secret', 'meta_value' => $secret]);

    if ($user) {
        $user = $user[0];
        wp_set_current_user($user->ID);
        wp_set_auth_cookie($user->ID);
        return ['success' => true, 'message' => 'Login successful'];
    }
    return new WP_Error('invalid_secret', 'Invalid biometric secret', ['status' => 401]);
}
add_action('rest_api_init', function () {
    register_rest_route('wtn/v1', '/biometric-login', [
        'methods' => 'POST',
        'callback' => 'wtn_biometric_login_endpoint',
        'permission_callback' => '__return_true',
    ]);
});
